%--------------------------------------------------------------------------
% File     : ALG001-3 : TPTP v3.1.1. Bugfixed v2.1.0.
% Domain   : General Algebra
% Problem  : The composition of homomorphisms is a homomorphism
% Version  : [Qua92a] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
%          : [Qua92a] Quaife (1992), Automated Deduction in von Neumann-Ber
%          : [Qua92b] Quaife (1992), Automated Development of Fundamental Ma
% Source   : [Quaife]
% Names    : HO1 [Qua92a]
%          : HO1 [Qua92b]

% Status   : Unsatisfiable
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses     :  115 (   8 non-Horn;  40 unit;  82 RR)
%            Number of atoms       :  221 (  49 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :   11 (   0 propositional; 1-3 arity)
%            Number of functors    :   51 (  17 constant; 0-3 arity)
%            Number of variables   :  214 (  32 singleton)
%            Maximal term depth    :    6 (   2 average)

% Comments : Quaife proves all these problems by augmenting the axioms with
%            all previously proved theorems. With a few exceptions (the
%            problems that correspond to [BL+86] problems), the TPTP has
%            retained the order in which Quaife presents the problems. The
%            user may create an augmented version of this problem by adding
%            all previously proved theorems (the ones that correspond to
%            [BL+86] are easily identified and positioned using Quaife's
%            naming scheme).
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%          : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions 
include('Axioms/SET004-1.ax').
%--------------------------------------------------------------------------
cnf(prove_composition_of_homomorphisms_1,negated_conjecture,
    ( homomorphism(xh1,xf1,xf2) )).

cnf(prove_composition_of_homomorphisms_2,negated_conjecture,
    ( homomorphism(xh2,xf2,xf3) )).

cnf(prove_composition_of_homomorphisms_3,negated_conjecture,
    ( ~ homomorphism(compose(xh2,xh1),xf1,xf3) )).

%--------------------------------------------------------------------------
