%--------------------------------------------------------------------------
% File     : ALG011-1 : TPTP v3.1.1. Released v2.7.0.
% Domain   : General Algebra
% Problem  : Partition a monoid into 2 partitions
% Version  : [Cla03] axioms.
% English  : If C,D is a partition of a monoid M, we cannot have
%            C * C subset D and D * D subset C.

% Refs     : [Cla03] Claessen (2003), Email to G. Sutcliffe
% Source   : [Cla03]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.15 v3.1.0, 0.09 v2.7.0
% Syntax   : Number of clauses     :    7 (   1 non-Horn;   3 unit;   5 RR)
%            Number of atoms       :   13 (   1 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    3 (   2 constant; 0-2 arity)
%            Number of variables   :    9 (   0 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Originally from Thierry Coquand
%--------------------------------------------------------------------------
cnf(f_is_associative,axiom,
    ( f(X,f(Y,Z)) = f(f(X,Y),Z) )).

cnf(partitions_union,axiom,
    ( c(X)
    | d(X) )).

cnf(partitions_exclusive,hypothesis,
    ( ~ c(X)
    | ~ d(X) )).

cnf(partition_c_not_empty,hypothesis,
    ( c(a1) )).

cnf(partition_d_not_empty,hypothesis,
    ( d(a2) )).

cnf(conjecture_1,negated_conjecture,
    ( d(f(X,Y))
    | ~ c(X)
    | ~ c(Y) )).

cnf(conjecture_2,negated_conjecture,
    ( c(f(X,Y))
    | ~ d(X)
    | ~ d(Y) )).

%--------------------------------------------------------------------------
