%--------------------------------------------------------------------------
% File     : BOO014-1 : TPTP v3.1.1. Bugfixed v1.2.1.
% Domain   : Boolean Algebra
% Problem  : DeMorgan for inverse and product (X+Y)^-1 = (X^-1) * (Y^-1)
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [Whi61] Whitesitt (1961), Boolean Algebra and Its Applications
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.14 v3.1.0, 0.33 v2.6.0, 0.43 v2.5.0, 0.40 v2.4.0, 0.33 v2.3.0, 0.17 v2.2.1, 0.75 v2.2.0, 0.67 v2.1.0, 0.67 v2.0.0
% Syntax   : Number of clauses     :   25 (   0 non-Horn;  13 unit;  15 RR)
%            Number of atoms       :   63 (   3 equality)
%            Maximal clause size   :    5 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-3 arity)
%            Number of functors    :    9 (   6 constant; 0-2 arity)
%            Number of variables   :   82 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Clause x_plus_y fixed.
%--------------------------------------------------------------------------
%----Include boolean algebra axioms 
include('Axioms/BOO002-0.ax').
%--------------------------------------------------------------------------
cnf(x_plus_y,negated_conjecture,
    ( sum(x,y,x_plus_y) )).

cnf(x_inverse_times_y_inverse,negated_conjecture,
    ( product(inverse(x),inverse(y),x_inverse_times_y_inverse) )).

cnf(prove_equation,negated_conjecture,
    (  inverse(x_plus_y) != x_inverse_times_y_inverse )).

%--------------------------------------------------------------------------
