%--------------------------------------------------------------------------
% File     : CAT002-2 : TPTP v3.1.1. Released v1.0.0.
% Domain   : Category Theory
% Problem  : X and Y monomorphisms, XY well-defined => XY monomorphism
% Version  : [Qua89] (equality) axioms.
% English  : If x and y are monomorphisms and xy is well-defined then 
%            xy is a monomorphism.

% Refs     : [Qua89] Quaife (1989), Email to L. Wos
% Source   : [ANL]
% Names    : p2.ver2.in [ANL]

% Status   : Satisfiable
% Rating   : 0.60 v3.1.0, 0.33 v2.7.0, 0.00 v2.6.0, 0.43 v2.5.0, 0.33 v2.3.0, 0.00 v2.2.1, 0.25 v2.2.0, 0.67 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :   14 (   0 non-Horn;   9 unit;  10 RR)
%            Number of atoms       :   26 (  26 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   4 constant; 0-2 arity)
%            Number of variables   :   17 (   0 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Quaife's axioms for category theory 
include('Axioms/CAT002-0.ax').
%--------------------------------------------------------------------------
cnf(codomain_of_a_equals_domain_of_b,hypothesis,
    ( codomain(a) = domain(b) )).

cnf(monomorphism1,hypothesis,
    ( codomain(X) != domain(a)
    | compose(X,a) != Y
    | codomain(Z) != domain(b)
    | compose(Z,a) != Y
    | X = Z )).

cnf(monomorphism2,hypothesis,
    ( codomain(X) != domain(a)
    | compose(X,b) != Y
    | codomain(Z) != domain(b)
    | compose(Z,b) != Y
    | X = Z )).

cnf(codomain_of_h_equals_domain_of_ab,hypothesis,
    ( codomain(h) = domain(compose(a,b)) )).

cnf(codomain_of_g_equals_domain_of_ab,hypothesis,
    ( codomain(g) = domain(compose(a,b)) )).

cnf(h_ab_equals_g_ab,hypothesis,
    ( compose(h,compose(a,b)) = compose(g,compose(a,b)) )).

cnf(prove_h_equals_g,negated_conjecture,
    (  h != g )).

%--------------------------------------------------------------------------
