%--------------------------------------------------------------------------
% File     : CAT003-3 : TPTP v3.1.1. Released v1.0.0.
% Domain   : Category Theory
% Problem  : XY epimorphism => X epimorphism
% Version  : [Sco79] axioms : Reduced > Complete.
% English  : If xy is an epimorphism, then x is an epimorphism.

% Refs     : [Sco79] Scott (1979), Identity and Existence in Intuitionist L
% Source   : [ANL]
% Names    : p3.ver3.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.15 v3.1.0, 0.09 v2.7.0, 0.08 v2.6.0, 0.00 v2.5.0, 0.42 v2.4.0, 0.11 v2.2.1, 0.22 v2.2.0, 0.11 v2.1.0, 0.56 v2.0.0
% Syntax   : Number of clauses     :   22 (   2 non-Horn;   7 unit;  17 RR)
%            Number of atoms       :   44 (  20 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    8 (   4 constant; 0-2 arity)
%            Number of variables   :   34 (   4 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Axioms simplified by Art Quaife.
%--------------------------------------------------------------------------
%----Include Scott's axioms for category theory 
include('Axioms/CAT003-0.ax').
%--------------------------------------------------------------------------
cnf(assume_ab_exists,hypothesis,
    ( there_exists(compose(a,b)) )).

cnf(epimorphism,hypothesis,
    ( compose(X,compose(a,b)) != Y
    | compose(Z,compose(a,b)) != Y
    | X = Z )).

cnf(assume_h_exists,hypothesis,
    ( there_exists(h) )).

cnf(ha_equals_ga,hypothesis,
    ( compose(h,a) = compose(g,a) )).

cnf(prove_g_equals_h,negated_conjecture,
    (  g != h )).

%--------------------------------------------------------------------------
