%--------------------------------------------------------------------------
% File     : CAT019-4 : TPTP v3.1.1. Released v1.0.0.
% Domain   : Category Theory
% Problem  : Axiom of Indiscernibles
% Version  : [Sco79] axioms : Reduced > Complete.
% English  : [all z (x=z <-> y=z)] -> x=y.

% Refs     : [Sco79] Scott (1979), Identity and Existence in Intuitionist L
% Source   : [TPTP]
% Names    : 

% Status   : Satisfiable
% Rating   : 0.80 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.86 v2.5.0, 0.50 v2.4.0, 0.67 v2.2.1, 0.75 v2.2.0, 0.67 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :   14 (   0 non-Horn;   4 unit;  11 RR)
%            Number of atoms       :   28 (  12 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    5 (   2 constant; 0-2 arity)
%            Number of variables   :   21 (   2 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : The dependent axioms have been removed.
%          : The ANL set uses very few axioms for this. I'm not sure 
%            if using them all is OK.
%--------------------------------------------------------------------------
%----Include Scott's axioms for category theory 
include('Axioms/CAT004-0.ax').
%--------------------------------------------------------------------------
%----Denial of the axiom of indiscernibles 
cnf(equality_of_a_and_b1,hypothesis,
    ( ~ there_exists(Z)
    | a != Z
    | b = Z )).

cnf(equality_of_a_and_b2,hypothesis,
    ( ~ there_exists(Z)
    | a = Z
    | b != Z )).

cnf(prove_a_equals_b,negated_conjecture,
    (  a != b )).

%--------------------------------------------------------------------------
