%--------------------------------------------------------------------------
% File     : COL006-4 : TPTP v3.1.1. Released v1.0.0.
% Domain   : Combinatory Logic
% Problem  : Strong fixed point for S and K
% Version  : [WM88] (equality) axioms : Augmented > Especial.
%            Theorem formulation : The fixed point is provided and checked.
% English  : The strong fixed point property holds for the set 
%            P consisting of the combinators S and K alone, where
%            ((Sx)y)z = (xz)(yz), (Kx)y = x.

% Refs     : [WM88]  Wos & McCune (1988), Challenge Problems Focusing on Eq
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.57 v3.1.0, 0.89 v2.7.0, 0.83 v2.6.0, 0.71 v2.5.0, 0.60 v2.4.0, 0.83 v2.2.1, 0.89 v2.2.0, 0.86 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :    4 (   0 non-Horn;   3 unit;   2 RR)
%            Number of atoms       :    5 (   3 equality)
%            Maximal clause size   :    2 (   1 average)
%            Number of predicates  :    2 (   0 propositional; 1-2 arity)
%            Number of functors    :    4 (   3 constant; 0-2 arity)
%            Number of variables   :    6 (   1 singleton)
%            Maximal term depth    :    8 (   3 average)

% Comments : 
%--------------------------------------------------------------------------
cnf(s_definition,axiom,
    ( apply(apply(apply(s,X),Y),Z) = apply(apply(X,Z),apply(Y,Z)) )).

cnf(k_definition,axiom,
    ( apply(apply(k,X),Y) = X )).

cnf(strong_fixed_point,axiom,
    ( apply(Strong_fixed_point,fixed_pt) != apply(fixed_pt,apply(Strong_fixed_point,fixed_pt))
    | fixed_point(Strong_fixed_point) )).

cnf(prove_strong_fixed_point,negated_conjecture,
    ( ~ fixed_point(apply(apply(s,apply(k,apply(apply(apply(s,s),apply(apply(s,k),k)),apply(apply(s,s),apply(s,k))))),apply(apply(s,apply(k,s)),k))) )).

%--------------------------------------------------------------------------
