%--------------------------------------------------------------------------
% File     : FLD012-4 : TPTP v3.1.1. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Compatibility of operation and inverse in multiplicative group
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Relational with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.33 v3.1.0, 0.17 v2.7.0, 0.62 v2.6.0, 0.67 v2.5.0, 0.80 v2.4.0, 1.00 v2.3.0, 0.67 v2.2.1, 1.00 v2.1.0
% Syntax   : Number of clauses     :   35 (   3 non-Horn;  12 unit;  35 RR)
%            Number of atoms       :   86 (   0 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :    4 (   0 propositional; 1-3 arity)
%            Number of functors    :   10 (   6 constant; 0-2 arity)
%            Number of variables   :   73 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
cnf(a_is_defined,hypothesis,
    ( defined(a) )).

cnf(b_is_defined,hypothesis,
    ( defined(b) )).

cnf(u_is_defined,hypothesis,
    ( defined(u) )).

cnf(v_is_defined,hypothesis,
    ( defined(v) )).

cnf(not_sum_5,negated_conjecture,
    ( ~ sum(additive_identity,a,additive_identity) )).

cnf(not_sum_6,negated_conjecture,
    ( ~ sum(additive_identity,b,additive_identity) )).

cnf(product_7,negated_conjecture,
    ( product(a,b,u) )).

cnf(product_8,negated_conjecture,
    ( product(multiplicative_inverse(a),multiplicative_inverse(b),v) )).

cnf(not_product_9,negated_conjecture,
    ( ~ product(multiplicative_identity,multiplicative_inverse(u),v) )).

%--------------------------------------------------------------------------
