%--------------------------------------------------------------------------
% File     : FLD087-3 : TPTP v3.1.1. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Elimination of a multiplicative inverse in an order, part 1
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Functional with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.67 v3.1.0, 0.83 v2.7.0, 1.00 v2.1.0
% Syntax   : Number of clauses     :   30 (   3 non-Horn;   7 unit;  30 RR)
%            Number of atoms       :   81 (   0 equality)
%            Maximal clause size   :    5 (   3 average)
%            Number of predicates  :    4 (   0 propositional; 1-3 arity)
%            Number of functors    :    7 (   3 constant; 0-2 arity)
%            Number of variables   :   73 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
cnf(a_is_defined,hypothesis,
    ( defined(a) )).

cnf(not_sum_2,negated_conjecture,
    ( ~ sum(additive_identity,a,additive_identity) )).

cnf(less_or_equal_3,negated_conjecture,
    ( less_or_equal(additive_identity,multiplicative_inverse(a)) )).

cnf(not_less_or_equal_4,negated_conjecture,
    ( ~ less_or_equal(additive_identity,a) )).

%--------------------------------------------------------------------------
