%--------------------------------------------------------------------------
% File     : GEO012-2 : TPTP v3.1.1. Released v1.0.0.
% Domain   : Geometry
% Problem  : Collinearity for 4 points
% Version  : [Qua89] axioms.
% English  : If any three distinct points x, y, and z are collinear and 
%            a fourth point w is collinear with x and y, then 
%            w is collinear with x and z and also with x and y.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : Unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses     :   26 (   6 non-Horn;   9 unit;  23 RR)
%            Number of atoms       :   71 (   8 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    4 (   0 propositional; 2-4 arity)
%            Number of functors    :   12 (   7 constant; 0-6 arity)
%            Number of variables   :   83 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : This presentation may have alternatives/be incorrect.
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%----Include Tarski geometry axioms for colinearity 
include('Axioms/GEO002-1.ax').
%--------------------------------------------------------------------------
cnf(a_not_b,hypothesis,
    (  a != b )).

cnf(abc_colinear,hypothesis,
    ( colinear(a,b,c) )).

cnf(abd_colinear,hypothesis,
    ( colinear(a,b,d) )).

cnf(prove_colinearity,negated_conjecture,
    ( ~ colinear(a,c,d)
    | ~ colinear(b,c,d) )).

%--------------------------------------------------------------------------
