%--------------------------------------------------------------------------
% File     : GEO025-2 : TPTP v3.1.1. Released v1.0.0.
% Domain   : Geometry
% Problem  : Addition of equal segments
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.31 v3.1.0, 0.18 v2.7.0, 0.33 v2.6.0, 0.40 v2.5.0, 0.42 v2.4.0, 0.44 v2.3.0, 0.33 v2.2.1, 0.56 v2.2.0, 0.67 v2.1.0, 0.78 v2.0.0
% Syntax   : Number of clauses     :   23 (   5 non-Horn;  11 unit;  20 RR)
%            Number of atoms       :   61 (   7 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   14 (   9 constant; 0-6 arity)
%            Number of variables   :   71 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%--------------------------------------------------------------------------
cnf(u_to_v_equals_u1_to_v1,hypothesis,
    ( equidistant(u,v,u1,v1) )).

cnf(v_to_w_equals_v1_to_w1,hypothesis,
    ( equidistant(v,w,v1,w1) )).

cnf(v_between_u_and_w,hypothesis,
    ( between(u,v,w) )).

cnf(v1_between_u1_and_w1,hypothesis,
    ( between(u1,v1,w1) )).

cnf(prove_equal_sums,negated_conjecture,
    ( ~ equidistant(u,w,u1,w1) )).

%--------------------------------------------------------------------------
