%--------------------------------------------------------------------------
% File     : GEO047-2 : TPTP v3.1.1. Released v1.0.0.
% Domain   : Geometry
% Problem  : Corollary to second inner inner transitivity of betweenness
% Version  : [Qua89] axioms.
% English  : Corollary of second inner transitivity property of betweenness,
%            using symmetry.

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.85 v3.1.0, 0.82 v2.7.0, 0.92 v2.6.0, 0.90 v2.5.0, 0.92 v2.4.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :   21 (   5 non-Horn;   9 unit;  18 RR)
%            Number of atoms       :   59 (   7 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   12 (   7 constant; 0-6 arity)
%            Number of variables   :   71 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : Proving corollaries from axioms is not usual.
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%--------------------------------------------------------------------------
cnf(v_between_u_and_w,hypothesis,
    ( between(u,v,w) )).

cnf(w_between_u_and_x,hypothesis,
    ( between(u,w,x) )).

cnf(prove_v_between_u_and_x,negated_conjecture,
    ( ~ between(u,v,x) )).

%--------------------------------------------------------------------------
