%--------------------------------------------------------------------------
% File     : GEO069-2 : TPTP v3.1.1. Released v1.0.0.
% Domain   : Geometry
% Problem  : A property of collinearity
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : Unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses     :   26 (   6 non-Horn;   9 unit;  23 RR)
%            Number of atoms       :   71 (   8 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    4 (   0 propositional; 2-4 arity)
%            Number of functors    :   12 (   7 constant; 0-6 arity)
%            Number of variables   :   83 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : This presentation may have alternatives/be incorrect.
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%----Include definition of colinearity 
include('Axioms/GEO002-1.ax').
%--------------------------------------------------------------------------
cnf(u_not_v,hypothesis,
    (  u != v )).

cnf(wvu_colinear,hypothesis,
    ( colinear(w,v,u) )).

cnf(xvu_colinear,hypothesis,
    ( colinear(x,v,u) )).

cnf(prove_xwu_and_xwv_colinear,negated_conjecture,
    ( ~ colinear(x,w,u)
    | ~ colinear(x,w,v) )).

%--------------------------------------------------------------------------
