%--------------------------------------------------------------------------
% File     : GEO074-2 : TPTP v3.1.1. Released v1.0.0.
% Domain   : Geometry
% Problem  : Prove the Outer Pasch Axiom
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [Qua89]
% Names    : Q2 [Qua89]

% Status   : Unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses     :   21 (   5 non-Horn;   8 unit;  18 RR)
%            Number of atoms       :   60 (   7 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   14 (   8 constant; 0-6 arity)
%            Number of variables   :   71 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : This presentation may have alternatives/be incorrect.
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%--------------------------------------------------------------------------
cnf(w_between_u_and_x,hypothesis,
    ( between(u,w,x) )).

cnf(x_between_v_and_y,hypothesis,
    ( between(v,x,y) )).

cnf(prove_outer_pasch,negated_conjecture,
    ( ~ between(u,outer_pasch(u,v,x,y,w),v)
    | ~ between(y,w,outer_pasch(u,v,x,y,w)) )).

%--------------------------------------------------------------------------
