%--------------------------------------------------------------------------
% File     : GEO107-1 : TPTP v3.1.1. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Equivalence of betweenness definitions 1 and 2
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : Unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses     :   67 (  24 non-Horn;   1 unit;  62 RR)
%            Number of atoms       :  203 (  29 equality)
%            Maximal clause size   :   12 (   3 average)
%            Number of predicates  :   10 (   0 propositional; 1-4 arity)
%            Number of functors    :   21 (   4 constant; 0-4 arity)
%            Number of variables   :  189 (  18 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO107+1.p 
%--------------------------------------------------------------------------
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
%--------------------------------------------------------------------------
cnf(between_c2_defn_81,hypothesis,
    ( ~ between_c2(A,B,C,D)
    | B != C )).

cnf(between_c2_defn_82,hypothesis,
    ( ~ between_c2(A,B,C,D)
    | B != D )).

cnf(between_c2_defn_83,hypothesis,
    ( ~ between_c2(A,B,C,D)
    | C != D )).

cnf(between_c2_defn_84,hypothesis,
    ( ~ between_c2(A,B,C,D)
    | meet(C,sk15(D,C,B,A),sk16(D,C,B,A)) )).

cnf(between_c2_defn_85,hypothesis,
    ( ~ between_c2(A,B,C,D)
    | part_of(sk15(D,C,B,A),A) )).

cnf(between_c2_defn_86,hypothesis,
    ( ~ between_c2(A,B,C,D)
    | part_of(sk16(D,C,B,A),A) )).

cnf(between_c2_defn_87,hypothesis,
    ( ~ between_c2(A,B,C,D)
    | end_point(B,sk15(D,C,B,A)) )).

cnf(between_c2_defn_88,hypothesis,
    ( ~ between_c2(A,B,C,D)
    | end_point(D,sk16(D,C,B,A)) )).

cnf(between_c2_defn_89,hypothesis,
    ( A = B
    | A = C
    | B = C
    | ~ meet(B,D,E)
    | ~ part_of(D,F)
    | ~ part_of(E,F)
    | ~ end_point(A,D)
    | ~ end_point(C,E)
    | between_c2(F,A,B,C) )).

cnf(theorem_3_3_90,negated_conjecture,
    ( between_c(sk17,sk18,sk19,sk20)
    | between_c2(sk17,sk18,sk19,sk20) )).

cnf(theorem_3_3_91,negated_conjecture,
    ( between_c(sk17,sk18,sk19,sk20)
    | ~ between_c(sk17,sk18,sk19,sk20) )).

cnf(theorem_3_3_92,negated_conjecture,
    ( ~ between_c2(sk17,sk18,sk19,sk20)
    | between_c2(sk17,sk18,sk19,sk20) )).

cnf(theorem_3_3_93,negated_conjecture,
    ( ~ between_c2(sk17,sk18,sk19,sk20)
    | ~ between_c(sk17,sk18,sk19,sk20) )).

%--------------------------------------------------------------------------
