%--------------------------------------------------------------------------
% File     : GEO147-1 : TPTP v3.1.1. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Meeting is possible only if there is a common position
% Version  : [EHK99] axioms.
% English  : 

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.15 v3.1.0, 0.09 v2.7.0, 0.17 v2.6.0, 0.11 v2.5.0, 0.00 v2.4.0
% Syntax   : Number of clauses     :  112 (  42 non-Horn;   5 unit; 100 RR)
%            Number of atoms       :  331 (  41 equality)
%            Maximal clause size   :   12 (   3 average)
%            Number of predicates  :   16 (   0 propositional; 1-4 arity)
%            Number of functors    :   34 (   3 constant; 0-5 arity)
%            Number of variables   :  310 (  19 singleton)
%            Maximal term depth    :    4 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO147+1.p 
%--------------------------------------------------------------------------
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
%----Include trajectory axioms
include('Axioms/GEO004-3.ax').
%--------------------------------------------------------------------------
cnf(t13_156,negated_conjecture,
    ( connect(sk28,sk29,sk27) )).

cnf(t13_157,negated_conjecture,
    ( ~ incident_o(sk27,trajectory_of(sk28))
    | ~ incident_o(sk27,trajectory_of(sk29)) )).

%--------------------------------------------------------------------------
