%--------------------------------------------------------------------------
% File     : GRP024-5 : TPTP v3.1.1. Released v2.2.0.
% Domain   : Group Theory
% Problem  : Levi commutator problem.
% Version  : [McC98] (equality) axioms.
% English  : In group theory, if the commutator [x,y] is associative,
%            then x*[y,z] = [y,z]*x.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [ML92]  McCune & Lusk (1992), A Challenging Theorem of Levi
%          : [Kur56] Kurosh (1956), The Theory of Groups
% Source   : [McC98]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.50 v3.1.0, 0.44 v2.7.0, 0.64 v2.6.0, 0.33 v2.5.0, 0.00 v2.4.0, 0.33 v2.3.0, 0.67 v2.2.1
% Syntax   : Number of clauses     :    6 (   0 non-Horn;   6 unit;   1 RR)
%            Number of atoms       :    6 (   6 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   4 constant; 0-2 arity)
%            Number of variables   :   10 (   0 singleton)
%            Maximal term depth    :    4 (   3 average)

% Comments :
%--------------------------------------------------------------------------
%----Include group theory axioms
include('Axioms/GRP004-0.ax').
%--------------------------------------------------------------------------
%----Definition of commutator:
cnf(name,axiom,
    ( commutator(X,Y) = multiply(inverse(X),multiply(inverse(Y),multiply(X,Y))) )).

%----Theorem: commutator is associative implies x*[y,z] = [y,z]*x.
%----Hypothesis:
cnf(associativity_of_commutator,hypothesis,
    ( commutator(commutator(X,Y),Z) = commutator(X,commutator(Y,Z)) )).

%----Denial of conclusion:
cnf(prove_center,negated_conjecture,
    (  multiply(a,commutator(b,c)) != multiply(commutator(b,c),a) )).

%--------------------------------------------------------------------------
