%--------------------------------------------------------------------------
% File     : GRP063-1 : TPTP v3.1.1. Bugfixed v2.3.0.
% Domain   : Group Theory
% Problem  : Single axiom for group theory, in division
% Version  : [McC93] (equality) axioms.
% English  : This is a single axiom for group theory, in terms of division

% Refs     : [HN52]  Higman & Neumann (1952), Groups as Groupoids with One 
%          : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [McC93]
% Names    : Axiom 1.1 [McC93]

% Status   : Unsatisfiable
% Rating   : 0.11 v3.1.0, 0.00 v2.3.0
% Syntax   : Number of clauses     :    4 (   0 non-Horn;   3 unit;   1 RR)
%            Number of atoms       :    6 (   6 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   10 (   7 constant; 0-2 arity)
%            Number of variables   :    8 (   0 singleton)
%            Maximal term depth    :    6 (   3 average)

% Comments : 
% Bugfixes : v2.3.0 - Deleted division, added inverse and multiply.
%--------------------------------------------------------------------------
cnf(single_axiom,axiom,
    ( divide(X,divide(divide(divide(divide(X,X),Y),Z),divide(divide(divide(X,X),X),Z))) = Y )).

%----Definition of multiply
cnf(multiply,axiom,
    ( multiply(X,Y) = divide(X,divide(divide(Z,Z),Y)) )).

%----Definition of inverse
cnf(inverse,axiom,
    ( inverse(X) = divide(divide(Z,Z),X) )).

cnf(prove_these_axioms,negated_conjecture,
    ( multiply(inverse(a1),a1) != multiply(inverse(b1),b1)
    | multiply(multiply(inverse(b2),b2),a2) != a2
    | multiply(multiply(a3,b3),c3) != multiply(a3,multiply(b3,c3)) )).

%--------------------------------------------------------------------------
