%--------------------------------------------------------------------------
% File     : GRP075-1 : TPTP v3.1.1. Bugfixed v2.3.0.
% Domain   : Group Theory
% Problem  : Single axiom for group theory, in double division and identity
% Version  : [McC93] (equality) axioms.
% English  : This is a single axiom for group theory, in terms of double 
%            division and identity.

% Refs     : [Neu86] Neumann (1986), Yet Another Single Law for Groups
%          : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [McC93]
% Names    : Axiom 2.2 [McC93]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.3.0
% Syntax   : Number of clauses     :    5 (   0 non-Horn;   4 unit;   1 RR)
%            Number of atoms       :    7 (   7 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    9 (   6 constant; 0-2 arity)
%            Number of variables   :    8 (   0 singleton)
%            Maximal term depth    :    7 (   2 average)

% Comments : 
% Bugfixes : v2.3.0 - Deleted double_division, added multiply and inverse, 
%            fixed prove_these_axioms.
%--------------------------------------------------------------------------
cnf(single_axiom,axiom,
    ( double_divide(double_divide(double_divide(X,double_divide(Y,identity)),double_divide(double_divide(Z,double_divide(U,double_divide(U,identity))),double_divide(X,identity))),Y) = Z )).

%----Definition of multiply
cnf(multiply,axiom,
    ( multiply(X,Y) = double_divide(double_divide(Y,X),identity) )).

%----Definition of inverse
cnf(inverse,axiom,
    ( inverse(X) = double_divide(X,identity) )).

%----Definition of identity 
cnf(identity,axiom,
    ( identity = double_divide(X,inverse(X)) )).

cnf(prove_these_axioms,negated_conjecture,
    ( multiply(inverse(a1),a1) != identity
    | multiply(identity,a2) != a2
    | multiply(multiply(a3,b3),c3) != multiply(a3,multiply(b3,c3)) )).

%--------------------------------------------------------------------------
