%--------------------------------------------------------------------------
% File     : GRP083-1 : TPTP v3.1.1. Bugfixed v2.3.0.
% Domain   : Group Theory
% Problem  : Single axiom for group theory, in double division and inverse
% Version  : [McC93] (equality) axioms.
% English  : This is a single axiom for group theory, in terms of double
%            division and inverse.

% Refs     : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [McC93]
% Names    : Axiom 3.6.2 [McC93]

% Status   : Unsatisfiable
% Rating   : 0.22 v3.1.0, 0.20 v2.7.0, 0.25 v2.6.0, 0.33 v2.5.0, 0.50 v2.4.0, 0.00 v2.3.0
% Syntax   : Number of clauses     :    3 (   0 non-Horn;   2 unit;   1 RR)
%            Number of atoms       :    5 (   5 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   10 (   7 constant; 0-2 arity)
%            Number of variables   :    6 (   0 singleton)
%            Maximal term depth    :    6 (   3 average)

% Comments : 
% Bugfixes : v2.3.0 - Deleted double_division, added multiply.
%--------------------------------------------------------------------------
cnf(single_axiom,axiom,
    ( double_divide(double_divide(X,inverse(double_divide(Y,Z))),double_divide(inverse(Y),inverse(double_divide(U,double_divide(X,U))))) = Z )).

%----Definition of multiply
cnf(multiply,axiom,
    ( multiply(X,Y) = inverse(double_divide(Y,X)) )).

cnf(prove_these_axioms,negated_conjecture,
    ( multiply(inverse(a1),a1) != multiply(inverse(b1),b1)
    | multiply(multiply(inverse(b2),b2),a2) != a2
    | multiply(multiply(a3,b3),c3) != multiply(a3,multiply(b3,c3)) )).

%--------------------------------------------------------------------------
