%--------------------------------------------------------------------------
% File     : GRP199-1 : TPTP v3.1.1. Released v2.2.0.
% Domain   : Group Theory (Cancellative semigroups)
% Problem  : Nilpotent CS satisfy the quotient condition.
% Version  : [MP96] (equality) axioms.
% English  : Nilpotent cancellative semigroups satisfy the quotient condition.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : CS-13 [MP96]

% Status   : Unsatisfiable
% Rating   : 0.56 v3.1.0, 0.60 v2.7.0, 0.75 v2.6.0, 0.67 v2.5.0, 0.75 v2.4.0, 1.00 v2.2.1
% Syntax   : Number of clauses     :    8 (   0 non-Horn;   6 unit;   6 RR)
%            Number of atoms       :   10 (  10 equality)
%            Maximal clause size   :    2 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    9 (   8 constant; 0-2 arity)
%            Number of variables   :   12 (   0 singleton)
%            Maximal term depth    :    5 (   2 average)

% Comments :
%--------------------------------------------------------------------------
%----Include Cancellative semigroups axioms
include('Axioms/GRP008-0.ax').
include('Axioms/GRP008-1.ax').
%--------------------------------------------------------------------------
%----Nilpotency:
cnf(nilpotency,hypothesis,
    ( multiply(X,multiply(Y,multiply(Z,multiply(Y,X)))) = multiply(Y,multiply(X,multiply(Z,multiply(X,Y)))) )).

%----Denial of the quotient condition.
cnf(prove_quotient1,negated_conjecture,
    ( multiply(b,b0) = multiply(a,a0) )).

cnf(prove_quotient2,negated_conjecture,
    ( multiply(d,b0) = multiply(c,a0) )).

cnf(prove_quotient3,negated_conjecture,
    ( multiply(b,d0) = multiply(a,c0) )).

cnf(prove_quotient4,negated_conjecture,
    (  multiply(d,d0) != multiply(c,c0) )).

%--------------------------------------------------------------------------
