%--------------------------------------------------------------------------
% File     : LAT015-1 : TPTP v3.1.1. Released v2.2.0.
% Domain   : Lattice Theory
% Problem  : Single axiom for lattice theory
% Version  : [MP96] (equality) axioms.
% English  : This starts with a single axiom for lattice theory and derives a
%            standard basis for lattice theory.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : LT-12 [MP96]

% Status   : Unsatisfiable
% Rating   : 0.56 v3.1.0, 0.40 v2.7.0, 0.88 v2.6.0, 0.50 v2.5.0, 0.75 v2.4.0, 0.50 v2.3.0, 0.67 v2.2.1
% Syntax   : Number of clauses     :    2 (   0 non-Horn;   1 unit;   1 RR)
%            Number of atoms       :    9 (   9 equality)
%            Maximal clause size   :    8 (   4 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   3 constant; 0-2 arity)
%            Number of variables   :    7 (   1 singleton)
%            Maximal term depth    :   12 (   3 average)

% Comments :
%--------------------------------------------------------------------------
%----A single axiom for lattice theory
cnf(single_axiom,axiom,
    ( join(meet(join(meet(X,Y),meet(Y,join(X,Y))),Z),meet(join(meet(X,join(join(meet(X1,Y),meet(Y,X2)),Y)),meet(join(meet(Y,meet(meet(join(X1,join(Y,X2)),join(X3,Y)),Y)),meet(U,join(Y,meet(meet(join(X1,join(Y,X2)),join(X3,Y)),Y)))),join(X,join(join(meet(X1,Y),meet(Y,X2)),Y)))),join(join(meet(X,Y),meet(Y,join(X,Y))),Z))) = Y )).

%----Denial of the LT axioms:
cnf(prove_normal_axioms,negated_conjecture,
    ( meet(a,a) != a
    | meet(a,b) != meet(b,a)
    | meet(meet(a,b),c) != meet(a,meet(b,c))
    | join(a,a) != a
    | join(a,b) != join(b,a)
    | join(join(a,b),c) != join(a,join(b,c))
    | meet(a,join(a,b)) != a
    | join(a,meet(a,b)) != a )).

%--------------------------------------------------------------------------
