%--------------------------------------------------------------------------
% File     : LAT019-1 : TPTP v3.1.1. Released v2.2.0.
% Domain   : Lattice Theory (Quasilattices)
% Problem  : In quasilattices, a distributive law implies its dual.
% Version  : [MP96] (equality) axioms.
% English  : 

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : QLT-2 [MP96]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.5.0, 0.25 v2.4.0, 0.00 v2.2.1
% Syntax   : Number of clauses     :   10 (   0 non-Horn;  10 unit;   1 RR)
%            Number of atoms       :   10 (  10 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   3 constant; 0-2 arity)
%            Number of variables   :   21 (   0 singleton)
%            Maximal term depth    :    4 (   3 average)

% Comments :
%--------------------------------------------------------------------------
%----Include Quasilattice theory (equality) axioms
include('Axioms/LAT004-0.ax').
%--------------------------------------------------------------------------
%----A distributivity law:
cnf(distributivity_law,hypothesis,
    ( meet(X,join(Y,Z)) = join(meet(X,Y),meet(X,Z)) )).

%----Denial of the corresponding dual distributivity law:
cnf(prove_distributivity_law_dual,negated_conjecture,
    (  join(a,meet(b,c)) != meet(join(a,b),join(a,c)) )).

%--------------------------------------------------------------------------
