%--------------------------------------------------------------------------
% File     : LAT028-1 : TPTP v3.1.1. Released v2.2.0.
% Domain   : Lattice Theory (Weakly Associative Lattices)
% Problem  : Uniqueness of meet (dually join) in WAL
% Version  : [MP96] (equality) axioms.
% English  : Let's say we have a weakly-associative lattice (WAL) with 2 meet
%            operations, say meet1 and meet2.  In other words, {join,meet1}
%            is a WAL, and {join,meet2} is a WAL.  Then, we can prove that the
%            two meet operations are really the same.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : WAL-2 [MP96]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.2.1
% Syntax   : Number of clauses     :   11 (   0 non-Horn;  11 unit;   1 RR)
%            Number of atoms       :   11 (  11 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   2 constant; 0-2 arity)
%            Number of variables   :   21 (   8 singleton)
%            Maximal term depth    :    4 (   2 average)

% Comments :
%--------------------------------------------------------------------------
%----Include Weakly Associative Lattices theory (equality) axioms
include('Axioms/LAT005-0.ax').
%--------------------------------------------------------------------------
%----{join,meet2} is a weakly-associative lattice:
cnf(idempotence_of_meet2,axiom,
    ( meet2(X,X) = X )).

cnf(commutativity_of_meet2,axiom,
    ( meet2(X,Y) = meet2(Y,X) )).

cnf(wal_1_2,axiom,
    ( meet2(meet2(join(X,Y),join(Z,Y)),Y) = Y )).

cnf(wal_2_2,axiom,
    ( join(join(meet2(X,Y),meet2(Z,Y)),Y) = Y )).

%----Denial of meet=meet2:
cnf(name,negated_conjecture,
    (  meet(a,b) != meet2(a,b) )).

%--------------------------------------------------------------------------
