%--------------------------------------------------------------------------
% File     : LAT030-1 : TPTP v3.1.1. Released v2.2.0.
% Domain   : Lattice Theory (Weakly Associative Lattices)
% Problem  : Single axiom for weakly associative lattices (WAL)
% Version  : [MP96] (equality) axioms : Especial.
% English  : This starts with a single axiom for WAL and derives a
%            standard basis for WAL.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : WAL-4 [MP96]

% Status   : Unsatisfiable
% Rating   : 0.33 v3.1.0, 0.20 v2.7.0, 0.50 v2.6.0, 0.33 v2.5.0, 0.50 v2.4.0, 0.50 v2.3.0, 0.67 v2.2.1
% Syntax   : Number of clauses     :    2 (   0 non-Horn;   1 unit;   1 RR)
%            Number of atoms       :    7 (   7 equality)
%            Maximal clause size   :    6 (   4 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   3 constant; 0-2 arity)
%            Number of variables   :    6 (   1 singleton)
%            Maximal term depth    :   11 (   3 average)

% Comments :
%--------------------------------------------------------------------------
%----A single axiom for weakly associative lattices.
cnf(single_axiom,axiom,
    ( join(meet(join(meet(X,Y),meet(Y,join(X,Y))),Z),meet(join(meet(X,join(join(meet(Y,X1),meet(X2,Y)),Y)),meet(join(meet(Y,meet(meet(join(Y,X1),join(X2,Y)),Y)),meet(U,join(Y,meet(meet(join(Y,X1),join(X2,Y)),Y)))),join(X,join(join(meet(Y,X1),meet(X2,Y)),Y)))),join(join(meet(X,Y),meet(Y,join(X,Y))),Z))) = Y )).

%----Denial of the WAL axioms:
cnf(prove_wal_axioms,negated_conjecture,
    ( meet(a,a) != a
    | meet(b,a) != meet(a,b)
    | join(a,a) != a
    | join(b,a) != join(a,b)
    | meet(meet(join(a,b),join(c,b)),b) != b
    | join(join(meet(a,b),meet(c,b)),b) != b )).

%--------------------------------------------------------------------------
