%--------------------------------------------------------------------------
% File     : LAT037-1 : TPTP v3.1.1. Released v2.4.0.
% Domain   : Lattice Theory
% Problem  : Uniqueness of complement
% Version  : [McC88] (equality) axioms.
% English  : Distributive lattice complements are unique whenever they exist.

% Refs     : [DeN00] DeNivelle (2000), Email to G. Sutcliffe
%            [McC88] McCune (1988), Challenge Equality Problems in Lattice
% Source   : [DeN00]
% Names    : lattice-complement [DeN00]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses     :   20 (   0 non-Horn;  19 unit;   5 RR)
%            Number of atoms       :   21 (  21 equality)
%            Maximal clause size   :    2 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   5 constant; 0-2 arity)
%            Number of variables   :   29 (   4 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include lattice theory axioms
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
cnf(dist_join,hypothesis,
    ( join(X,meet(Y,Z)) = meet(join(X,Y),join(X,Z)) )).

cnf(dist_meet,hypothesis,
    ( meet(X,join(Y,Z)) = join(meet(X,Y),meet(X,Z)) )).

cnf(x_meet_0,axiom,
    ( meet(X,n0) = n0 )).

cnf(x_join_0,axiom,
    ( join(X,n0) = X )).

cnf(x_meet_1,axiom,
    ( meet(X,n1) = X )).

cnf(x_join_1,axiom,
    ( join(X,n1) = n1 )).

cnf(modular,axiom,
    ( meet(X,Z) != X
    | meet(Z,join(X,Y)) = join(X,meet(Y,Z)) )).

cnf(lhs1,axiom,
    ( join(xx,yy) = n1 )).

cnf(lhs2,axiom,
    ( join(xx,zz) = n1 )).

cnf(lhs3,axiom,
    ( meet(xx,yy) = n0 )).

cnf(lhs4,axiom,
    ( meet(xx,zz) = n0 )).

cnf(rhs,negated_conjecture,
    (  yy != zz )).

%--------------------------------------------------------------------------
