%--------------------------------------------------------------------------
% File     : LAT040-1 : TPTP v3.1.1. Released v2.4.0.
% Domain   : Lattice Theory
% Problem  : Another simplification rule for distributive lattices
% Version  : [McC88] (equality) axioms.
% English  : In every distributive lattice the simplification rule holds:
%            forall x, y, z: (x v y = x v z, x & y = x & z -> y = z ).

% Refs     : [DeN00] DeNivelle (2000), Email to G. Sutcliffe
%            [McC88] McCune (1988), Challenge Equality Problems in Lattice
% Source   : [DeN00]
% Names    : lattice-simpl [DeN00]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses     :   13 (   0 non-Horn;  13 unit;   3 RR)
%            Number of atoms       :   13 (  13 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   3 constant; 0-2 arity)
%            Number of variables   :   22 (   2 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include lattice theory axioms
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
cnf(dist_join,hypothesis,
    ( join(X,meet(Y,Z)) = meet(join(X,Y),join(X,Z)) )).

cnf(dist_meet,hypothesis,
    ( meet(X,join(Y,Z)) = join(meet(X,Y),meet(X,Z)) )).

cnf(lhs1,hypothesis,
    ( join(xx,yy) = join(xx,zz) )).

cnf(lhs2,hypothesis,
    ( meet(xx,yy) = meet(xx,zz) )).

cnf(rhs,negated_conjecture,
    (  yy != zz )).

%--------------------------------------------------------------------------
