%--------------------------------------------------------------------------
% File     : LAT076-1 : TPTP v3.1.1. Released v2.6.0.
% Domain   : Lattice Theory (Ortholattices)
% Problem  : Given single axiom MOL-27B1, prove associativity
% Version  : [MRV03] (equality) axioms.
% English  : Given a single axiom candidate MOL-27B1 for modular ortholattices
%            (MOL) in terms of the Sheffer Stroke, prove a Sheffer stroke form 
%            of associativity.

% Refs     : [MRV03] McCune et al. (2003), Sheffer Stroke Bases for Ortholatt
% Source   : [MRV03]
% Names    : MOL-27B1-associativity [MRV03]

% Status   : Unsatisfiable
% Rating   : 1.00 v2.6.0
% Syntax   : Number of clauses     :    2 (   0 non-Horn;   2 unit;   1 RR)
%            Number of atoms       :    2 (   2 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    4 (   3 constant; 0-2 arity)
%            Number of variables   :    4 (   1 singleton)
%            Maximal term depth    :    9 (   4 average)

% Comments : 
%--------------------------------------------------------------------------
%----Single axiom MOL-27B1
cnf(mol_27B1,axiom,
    ( f(f(f(f(B,A),f(C,A)),D),f(A,f(f(f(f(f(f(B,B),A),C),C),A),B))) = A )).

%----Denial of Sheffer stroke associativity
cnf(associativity,negated_conjecture,
    (  f(a,f(f(b,c),f(b,c))) != f(c,f(f(b,a),f(b,a))) )).

%--------------------------------------------------------------------------
