%------------------------------------------------------------------------------
% File     : LAT108-1 : TPTP v3.1.1. Released v3.1.0.
% Domain   : Lattice Theory
% Problem  : Huntington equation H42 is independent of H31
% Version  : [McC05] (equality) axioms : Especial.
% English  : Show that Huntington equation H31 does not imply Huntington 
%            equation H42 in lattice theory.

% Refs     : [McC05] McCune (2005), Email to Geoff Sutcliffe
% Source   : [McC05]
% Names    : 

% Status   : Satisfiable
% Rating   : 1.00 v3.1.0
% Syntax   : Number of clauses     :   10 (   0 non-Horn;  10 unit;   1 RR)
%            Number of atoms       :   10 (  10 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   4 constant; 0-2 arity)
%            Number of variables   :   20 (   2 singleton)
%            Maximal term depth    :    7 (   3 average)

% Comments : 
%------------------------------------------------------------------------------
%----Include Lattice theory (equality) axioms
include('Axioms/LAT001-0.ax').
%------------------------------------------------------------------------------
cnf(equation_H31,axiom,
    ( meet(X,join(Y,meet(X,meet(Z,U)))) = meet(X,join(Y,meet(Z,meet(U,join(Y,meet(X,Z)))))) )).

cnf(prove_H42,negated_conjecture,
    (  meet(a,join(b,meet(c,join(a,d)))) != meet(a,join(b,meet(c,join(b,join(d,meet(a,c)))))) )).

%------------------------------------------------------------------------------
