%--------------------------------------------------------------------------
% File     : LCL428-1 : TPTP v3.1.1. Released v2.5.0.
% Domain   : Logic Calculi (Implication in many valued sentential)
% Problem  : Prove the Harris/Rezus axiom from MV1-MV3 and MV5
% Version  : [Var01] axioms.
% English  : 

% Refs     : [Ver01] Veroff (2001), A Strategy for Proving Theorems in Many
% Source   : [Ver01]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses     :    6 (   0 non-Horn;   5 unit;   2 RR)
%            Number of atoms       :    8 (   0 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 1-1 arity)
%            Number of functors    :    2 (   1 constant; 0-2 arity)
%            Number of variables   :   27 (   4 singleton)
%            Maximal term depth    :   13 (   4 average)

% Comments : MV5 is called MV in other places, e.g., LCL109.
%--------------------------------------------------------------------------
%----Condensed detachment
cnf(condensed_detachment,axiom,
    ( ~ is_a_theorem(implies(A,B))
    | ~ is_a_theorem(A)
    | is_a_theorem(B) )).

cnf(mv1,axiom,
    ( is_a_theorem(implies(A,implies(B,A))) )).

cnf(mv2,axiom,
    ( is_a_theorem(implies(implies(A,B),implies(implies(B,C),implies(A,C)))) )).

cnf(mv3,axiom,
    ( is_a_theorem(implies(implies(implies(A,B),B),implies(implies(B,A),A))) )).

cnf(mv5,axiom,
    ( is_a_theorem(implies(implies(implies(X,Y),implies(Y,X)),implies(Y,X))) )).

%----HR
cnf(prove_hr,negated_conjecture,
    ( ~ is_a_theorem(implies(implies(implies(X,implies(Y,X)),implies(implies(implies(implies(implies(implies(implies(implies(implies(Z,U),implies(implies(V,Z),implies(V,U))),implies(implies(w,implies(V6,w)),V7)),V7),implies(implies(implies(implies(V8,V9),V9),implies(implies(V9,V8),V8)),V10)),V10),implies(implies(implies(implies(V11,V12),implies(V12,V11)),implies(V12,V11)),V13)),V13),implies(implies(V14,implies(V15,V14)),V16))),V16)) )).

%--------------------------------------------------------------------------
