%--------------------------------------------------------------------------
% File     : NUM012-1 : TPTP v3.1.1. Bugfixed v1.2.1.
% Domain   : Number Theory
% Problem  : Peano axiom 4
% Version  : [BL+86] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
% Source   : [BL+86]
% Names    : Problem 238-241 [BL+86]

% Status   : Unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses     :  223 (  59 non-Horn;  15 unit; 193 RR)
%            Number of atoms       :  640 (  77 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :   20 (   0 propositional; 1-5 arity)
%            Number of functors    :   93 (  14 constant; 0-5 arity)
%            Number of variables   :  484 (  32 singleton)
%            Maximal term depth    :    5 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Bugfix in NUM003-0.ax.
%--------------------------------------------------------------------------
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%----Include the axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.ax').
%----Include the axioms for number theory from Godel's set axioms 
include('Axioms/NUM003-0.ax').
%----axioms 
%--------------------------------------------------------------------------
cnf(a_natural_number,hypothesis,
    ( member(f76,natural_numbers) )).

cnf(another_natural_number,hypothesis,
    ( member(f77,natural_numbers) )).

cnf(successors_are_equal,hypothesis,
    ( successor(f76) = successor(f77) )).

cnf(prove_well_definedness_of_successor,negated_conjecture,
    (  f76 != f77 )).

%--------------------------------------------------------------------------
