%--------------------------------------------------------------------------
% File     : NUM017-2 : TPTP v3.1.1. Bugfixed v1.2.1.
% Domain   : Number Theory
% Problem  : Square root of this prime is irrational
% Version  : [Rob63] axioms : Incomplete > Augmented > Complete.
% English  : If a is prime, and a is not b^2/c^2, then the square root 
%            of a is irrational.

% Refs     : [Rob63] Robinson (1963), Theorem Proving on the Computer
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.00 v3.1.0, 0.22 v2.7.0, 0.00 v2.6.0, 0.29 v2.5.0, 0.00 v2.2.1, 0.38 v2.2.0, 0.50 v2.1.0, 0.33 v2.0.0
% Syntax   : Number of clauses     :   15 (   0 non-Horn;   5 unit;  14 RR)
%            Number of atoms       :   34 (   2 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    4 (   0 propositional; 1-3 arity)
%            Number of functors    :    7 (   5 constant; 0-2 arity)
%            Number of variables   :   37 (   1 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Clause primes_lemma1 fixed.
%--------------------------------------------------------------------------
cnf(closure_of_product,axiom,
    ( product(A,B,multiply(A,B)) )).

cnf(product_associativity1,axiom,
    ( ~ product(A,B,C)
    | ~ product(D,E,B)
    | ~ product(A,D,F)
    | product(F,E,C) )).

cnf(product_associativity2,axiom,
    ( ~ product(A,B,C)
    | ~ product(D,B,E)
    | ~ product(F,D,A)
    | product(F,E,C) )).

cnf(product_commutativity,axiom,
    ( ~ product(A,B,C)
    | product(B,A,C) )).

cnf(product_left_cancellation,axiom,
    ( ~ product(A,B,C)
    | ~ product(A,D,C)
    | B = D )).

cnf(transitivity_of_divides,axiom,
    ( ~ divides(A,B)
    | ~ divides(C,A)
    | divides(C,B) )).

cnf(well_defined_product,axiom,
    ( ~ product(A,B,C)
    | ~ product(A,B,D)
    | D = C )).

cnf(divides_implies_product,axiom,
    ( ~ divides(A,B)
    | product(A,second_divided_by_1st(A,B),B) )).

cnf(product_divisible_by_operand,axiom,
    ( ~ product(A,B,C)
    | divides(A,C) )).

cnf(primes_lemma1,axiom,
    ( ~ divides(A,B)
    | ~ product(C,C,B)
    | ~ prime(A)
    | divides(A,C) )).

cnf(a_is_prime,hypothesis,
    ( prime(a) )).

cnf(b_squared,hypothesis,
    ( product(b,b,d) )).

cnf(c_squared,hypothesis,
    ( product(c,c,e) )).

cnf(a_times_c_squared_is_not_b_squared,hypothesis,
    ( ~ product(a,e,d) )).

cnf(prove_there_is_no_common_divisor,negated_conjecture,
    ( ~ divides(A,c)
    | ~ divides(A,b) )).

%--------------------------------------------------------------------------
