%--------------------------------------------------------------------------
% File     : NUM020-1 : TPTP v3.1.1. Released v1.0.0.
% Domain   : Number Theory
% Problem  : a + 1 = successor(a)
% Version  : [LS74] axioms :
%            Incomplete > Reduced > Incomplete.
% English  : 

% Refs     : [LS74]  Lawrence & Starkey (1974), Experimental Tests of Resol
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : ls55 [LS74]
%          : ls55 [WM76]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :   13 (   0 non-Horn;   8 unit;   8 RR)
%            Number of atoms       :   19 (   0 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   3 constant; 0-2 arity)
%            Number of variables   :   19 (   2 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : Surplus transitivity axiom removed.
%          : This is dumb, because there is no need for the clause
%            prove_a_contradiction.
%--------------------------------------------------------------------------
%----Include recursive function + and * axioms 
include('Axioms/NUM001-0.ax').
%--------------------------------------------------------------------------
cnf(reflexivity,axiom,
    ( equalish(X,X) )).

cnf(symmetry,axiom,
    ( ~ equalish(X,Y)
    | equalish(Y,X) )).

cnf(transitivity,axiom,
    ( ~ equalish(X,Y)
    | ~ equalish(Y,Z)
    | equalish(X,Z) )).

cnf(one_succeeds_zero,axiom,
    ( equalish(n1,successor(n0)) )).

cnf(deny_addition_lemma,negated_conjecture,
    ( ~ equalish(add(a,successor(n0)),successor(a)) )).

cnf(prove_a_contradiction,negated_conjecture,
    ( ~ equalish(successor(A),n0) )).

%--------------------------------------------------------------------------
