%--------------------------------------------------------------------------
% File     : NUM283-1.005 : TPTP v3.1.1. Released v1.0.0.
% Domain   : Number Theory
% Problem  : Calculation of factorial
% Version  : [SETHEO] axioms : Biased.
% English  : Compute 5 factorial.

% Refs     : 
% Source   : [SETHEO]
% Names    : fac2.lop (Size 2) [SETHEO]
%          : fac3.lop (Size 3) [SETHEO]
%          : fac4.lop (Size 4) [SETHEO]
%          : fac5.lop (Size 5) [SETHEO]
%          : fac6.lop (Size 7) [SETHEO]
%          : fac7.lop (Size 7) [SETHEO]

% Status   : Unsatisfiable
% Rating   : 0.00 v3.1.0, 0.17 v2.7.0, 0.25 v2.6.0, 0.14 v2.5.0, 0.00 v2.4.0, 0.14 v2.3.0, 0.14 v2.2.1, 0.33 v2.2.0, 0.22 v2.1.0
% Syntax   : Number of clauses     :    7 (   0 non-Horn;   4 unit;   5 RR)
%            Number of atoms       :   12 (   0 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 2-3 arity)
%            Number of functors    :    2 (   1 constant; 0-1 arity)
%            Number of variables   :   13 (   1 singleton)
%            Maximal term depth    :    6 (   1 average)

% Comments : Biased towards SETHEO.
%          : tptp2X: -f tptp -s5 NUM283-1.g 
%--------------------------------------------------------------------------
cnf(add_0,axiom,
    ( sum(X,n0,X) )).

cnf(add,axiom,
    ( ~ sum(X,Y,Z)
    | sum(X,s(Y),s(Z)) )).

cnf(times1,axiom,
    ( product(s(n0),X,X) )).

cnf(times,axiom,
    ( ~ sum(R,Y,Z)
    | ~ product(X,Y,R)
    | product(s(X),Y,Z) )).

cnf(factorial_0,axiom,
    ( factorial(n0,s(n0)) )).

cnf(factorial,axiom,
    ( ~ factorial(X,Z)
    | ~ product(s(X),Z,Y)
    | factorial(s(X),Y) )).

cnf(prove_factorial,negated_conjecture,
    ( ~ factorial(s(s(s(s(s(n0))))),Result) )).

%--------------------------------------------------------------------------
