%--------------------------------------------------------------------------
% File     : RNG029-2 : TPTP v3.1.1. Bugfixed v1.2.1.
% Domain   : Ring Theory (Alternative)
% Problem  : Middle Moufang identity
% Version  : [AH90] (equality) axioms : Augmented.
% English  : 

% Refs     : [AH90]  Anantharaman & Hsiang (1990), Automated Proofs of the 
% Source   : [AH90]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 1.00 v3.1.0, 0.80 v2.7.0, 1.00 v2.4.0, 0.75 v2.2.1, 0.83 v2.2.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :   22 (   0 non-Horn;  20 unit;   4 RR)
%            Number of atoms       :   24 (  24 equality)
%            Maximal clause size   :    2 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   4 constant; 0-3 arity)
%            Number of variables   :   43 (   2 singleton)
%            Maximal term depth    :    5 (   2 average)

% Comments : This how the problem appears in [AH90], but without the
%            left and right Moufang identities.
% Bugfixes : v1.2.1 - Clauses middle_law, associator_skew_symmetry1, and
%            associator_skew_symmetry2, fixed.
%--------------------------------------------------------------------------
%----Include Ring theory (equality) axioms 
include('Axioms/RNG004-0.ax').
%--------------------------------------------------------------------------
%----Associator 
cnf(associator,axiom,
    ( associator(X,Y,Z) = add(multiply(multiply(X,Y),Z),additive_inverse(multiply(X,multiply(Y,Z)))) )).

%----The next three clauses are previously proved lemmas 
cnf(middle_law,axiom,
    ( multiply(multiply(Y,X),Y) = multiply(Y,multiply(X,Y)) )).

cnf(associator_skew_symmetry1,axiom,
    ( associator(Y,X,Z) = additive_inverse(associator(X,Y,Z)) )).

cnf(associator_skew_symmetry2,axiom,
    ( associator(Z,Y,X) = additive_inverse(associator(X,Y,Z)) )).

cnf(prove_middle_law,negated_conjecture,
    (  multiply(multiply(cx,cy),multiply(cz,cx)) != multiply(cx,multiply(multiply(cy,cz),cx)) )).

%--------------------------------------------------------------------------
