%--------------------------------------------------------------------------
% File     : RNG040-1 : TPTP v3.1.1. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : Ring property 4
% Version  : [Wos65] axioms : Incomplete > Augmented > Complete.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [SPRFN]
% Names    : Problem 29 [Wos65]

% Status   : Unsatisfiable
% Rating   : 0.00 v3.1.0, 0.09 v2.7.0, 0.25 v2.6.0, 0.20 v2.5.0, 0.17 v2.4.0, 0.22 v2.3.0, 0.11 v2.2.1, 0.33 v2.2.0, 0.11 v2.1.0, 0.11 v2.0.0
% Syntax   : Number of clauses     :   27 (   2 non-Horn;  13 unit;  17 RR)
%            Number of atoms       :   63 (   4 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 2-3 arity)
%            Number of functors    :   12 (   8 constant; 0-2 arity)
%            Number of variables   :   78 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : These are the same axioms as in [MOW76].
%--------------------------------------------------------------------------
%----Include ring theory axioms 
include('Axioms/RNG001-0.ax').
%--------------------------------------------------------------------------
cnf(right_multiplicative_identity,hypothesis,
    ( product(A,multiplicative_identity,A) )).

cnf(left_multiplicative_identity,hypothesis,
    ( product(multiplicative_identity,A,A) )).

cnf(clause30,hypothesis,
    ( product(A,h(A),multiplicative_identity)
    | A = additive_identity )).

cnf(clause31,hypothesis,
    ( product(h(A),A,multiplicative_identity)
    | A = additive_identity )).

cnf(product_symmetry,hypothesis,
    ( ~ product(A,B,C)
    | product(B,A,C) )).

cnf(b_plus_c,negated_conjecture,
    ( sum(b,c,d) )).

cnf(d_plus_a,negated_conjecture,
    ( product(d,a,additive_identity) )).

cnf(b_plus_a,negated_conjecture,
    ( product(b,a,l) )).

cnf(c_plus_a,negated_conjecture,
    ( product(c,a,n) )).

cnf(prove_equation,negated_conjecture,
    ( ~ sum(l,n,additive_identity) )).

%--------------------------------------------------------------------------
