%--------------------------------------------------------------------------
% File     : ROB021-1 : TPTP v3.1.1. Released v1.0.0.
% Domain   : Robbins Algebra
% Problem  : (-X = -Y)=>(X = Y) => Boolean
% Version  : [Win90] (equality) axioms.
% English  : If (-X = -Y) => (X = Y) then the algebra is Boolean.

% Refs     : [HMT71] Henkin et al. (1971), Cylindrical Algebras
%          : [Win90] Winker (1990), Robbins Algebra: Conditions that make a
%          : [McC92] McCune (1992), Email to G. Sutcliffe
% Source   : [McC92]
% Names    : - [McC92]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.2.1, 0.17 v2.2.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :    5 (   0 non-Horn;   4 unit;   2 RR)
%            Number of atoms       :    6 (   6 equality)
%            Maximal clause size   :    2 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    4 (   2 constant; 0-2 arity)
%            Number of variables   :    9 (   0 singleton)
%            Maximal term depth    :    6 (   2 average)

% Comments : Commutativity, associativity, and Huntington's axiom 
%            axiomatize Boolean algebra.
%--------------------------------------------------------------------------
%----Include axioms for Robbins algebra 
include('Axioms/ROB001-0.ax').
%--------------------------------------------------------------------------
cnf(negative_equality_implies_positive_equality,hypothesis,
    ( negate(X) != negate(Y)
    | X = Y )).

cnf(prove_huntingtons_axiom,negated_conjecture,
    (  add(negate(add(a,negate(b))),negate(add(negate(a),negate(b)))) != b )).

%--------------------------------------------------------------------------
