%--------------------------------------------------------------------------
% File     : SWC112-1 : TPTP v3.1.1. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_ne_segment_total1_x_run_strict_ord_max2
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.62 v3.1.0, 0.64 v2.7.0, 0.58 v2.6.0, 0.56 v2.5.0, 0.44 v2.4.0
% Syntax   : Number of clauses     :  202 (  34 non-Horn;  64 unit; 159 RR)
%            Number of atoms       :  640 ( 111 equality)
%            Maximal clause size   :   10 (   3 average)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :   55 (   9 constant; 0-2 arity)
%            Number of variables   :  334 (  49 singleton)
%            Maximal term depth    :    5 (   1 average)

% Comments : Created by CNF conversion from SWC112+1
%--------------------------------------------------------------------------
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
%--------------------------------------------------------------------------
cnf(co1_1,negated_conjecture,
    ( ssList(sk1) )).

cnf(co1_2,negated_conjecture,
    ( ssList(sk2) )).

cnf(co1_3,negated_conjecture,
    ( ssList(sk3) )).

cnf(co1_4,negated_conjecture,
    ( ssList(sk4) )).

cnf(co1_5,negated_conjecture,
    ( sk2 = sk4 )).

cnf(co1_6,negated_conjecture,
    ( sk1 = sk3 )).

cnf(co1_7,negated_conjecture,
    ( ssList(sk5) )).

cnf(co1_8,negated_conjecture,
    ( ssList(sk6) )).

cnf(co1_9,negated_conjecture,
    ( app(app(sk5,sk3),sk6) = sk4 )).

cnf(co1_10,negated_conjecture,
    ( strictorderedP(sk3) )).

cnf(co1_11,negated_conjecture,
    ( ~ ssItem(A)
    | ~ ssList(B)
    | app(B,cons(A,nil)) != sk5
    | ~ ssItem(C)
    | ~ ssList(D)
    | app(cons(C,nil),D) != sk3
    | ~ lt(A,C) )).

cnf(co1_12,negated_conjecture,
    ( ~ ssItem(A)
    | ~ ssList(B)
    | app(cons(A,nil),B) != sk6
    | ~ ssItem(C)
    | ~ ssList(D)
    | app(D,cons(C,nil)) != sk3
    | ~ lt(C,A) )).

cnf(co1_13,negated_conjecture,
    ( nil = sk4
    | nil != sk3 )).

cnf(co1_14,negated_conjecture,
    ( nil = sk2
    | neq(sk2,nil) )).

cnf(co1_15,negated_conjecture,
    ( nil = sk2
    | ~ neq(sk1,nil)
    | ~ segmentP(sk2,sk1) )).

cnf(co1_16,negated_conjecture,
    ( nil != sk1
    | neq(sk2,nil) )).

cnf(co1_17,negated_conjecture,
    ( nil != sk1
    | ~ neq(sk1,nil)
    | ~ segmentP(sk2,sk1) )).

%--------------------------------------------------------------------------
