%--------------------------------------------------------------------------
% File     : SWC414-1 : TPTP v3.1.1. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_swap_x_swap_tos
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : Unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses     :  241 (  69 non-Horn;  60 unit; 198 RR)
%            Number of atoms       :  770 ( 145 equality)
%            Maximal clause size   :   11 (   3 average)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :   62 (  16 constant; 0-2 arity)
%            Number of variables   :  381 (  49 singleton)
%            Maximal term depth    :    6 (   1 average)

% Comments : Created by CNF conversion from SWC414+1
%--------------------------------------------------------------------------
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
%--------------------------------------------------------------------------
cnf(co1_1,negated_conjecture,
    ( ssList(sk1) )).

cnf(co1_2,negated_conjecture,
    ( ssList(sk2) )).

cnf(co1_3,negated_conjecture,
    ( ssList(sk3) )).

cnf(co1_4,negated_conjecture,
    ( ssList(sk4) )).

cnf(co1_5,negated_conjecture,
    ( sk2 = sk4 )).

cnf(co1_6,negated_conjecture,
    ( sk1 = sk3 )).

cnf(co1_7,negated_conjecture,
    ( ~ ssItem(A)
    | ~ ssItem(B)
    | ~ ssList(C)
    | ~ ssList(D)
    | ~ ssList(E)
    | app(app(app(app(C,cons(A,nil)),D),cons(B,nil)),E) != sk2
    | app(app(app(app(C,cons(B,nil)),D),cons(A,nil)),E) != sk1
    | ~ ssItem(F)
    | ~ ssItem(G)
    | ~ ssList(H)
    | app(app(cons(F,nil),cons(G,nil)),H) != sk4 )).

cnf(co1_8,negated_conjecture,
    ( ~ ssItem(A)
    | ~ ssItem(B)
    | ~ ssList(C)
    | ~ ssList(D)
    | ~ ssList(E)
    | app(app(app(app(C,cons(A,nil)),D),cons(B,nil)),E) != sk2
    | app(app(app(app(C,cons(B,nil)),D),cons(A,nil)),E) != sk1
    | ssItem(sk11) )).

cnf(co1_9,negated_conjecture,
    ( ~ ssItem(A)
    | ~ ssItem(B)
    | ~ ssList(C)
    | ~ ssList(D)
    | ~ ssList(E)
    | app(app(app(app(C,cons(A,nil)),D),cons(B,nil)),E) != sk2
    | app(app(app(app(C,cons(B,nil)),D),cons(A,nil)),E) != sk1
    | ssItem(sk12) )).

cnf(co1_10,negated_conjecture,
    ( ~ ssItem(A)
    | ~ ssItem(B)
    | ~ ssList(C)
    | ~ ssList(D)
    | ~ ssList(E)
    | app(app(app(app(C,cons(A,nil)),D),cons(B,nil)),E) != sk2
    | app(app(app(app(C,cons(B,nil)),D),cons(A,nil)),E) != sk1
    | ssList(sk13) )).

cnf(co1_11,negated_conjecture,
    ( ~ ssItem(A)
    | ~ ssItem(B)
    | ~ ssList(C)
    | ~ ssList(D)
    | ~ ssList(E)
    | app(app(app(app(C,cons(A,nil)),D),cons(B,nil)),E) != sk2
    | app(app(app(app(C,cons(B,nil)),D),cons(A,nil)),E) != sk1
    | app(app(cons(sk11,nil),cons(sk12,nil)),sk13) = sk2 )).

cnf(co1_12,negated_conjecture,
    ( ssItem(sk5)
    | ~ ssItem(A)
    | ~ ssItem(B)
    | ~ ssList(C)
    | app(app(cons(A,nil),cons(B,nil)),C) != sk4 )).

cnf(co1_13,negated_conjecture,
    ( ssItem(sk6)
    | ~ ssItem(A)
    | ~ ssItem(B)
    | ~ ssList(C)
    | app(app(cons(A,nil),cons(B,nil)),C) != sk4 )).

cnf(co1_14,negated_conjecture,
    ( ssList(sk7)
    | ~ ssItem(A)
    | ~ ssItem(B)
    | ~ ssList(C)
    | app(app(cons(A,nil),cons(B,nil)),C) != sk4 )).

cnf(co1_15,negated_conjecture,
    ( app(app(cons(sk5,nil),cons(sk6,nil)),sk7) = sk2
    | ~ ssItem(A)
    | ~ ssItem(B)
    | ~ ssList(C)
    | app(app(cons(A,nil),cons(B,nil)),C) != sk4 )).

cnf(co1_16,negated_conjecture,
    ( ssItem(sk8)
    | ~ ssItem(A)
    | ~ ssItem(B)
    | ~ ssList(C)
    | app(app(cons(A,nil),cons(B,nil)),C) != sk4 )).

cnf(co1_17,negated_conjecture,
    ( ssItem(sk9)
    | ~ ssItem(A)
    | ~ ssItem(B)
    | ~ ssList(C)
    | app(app(cons(A,nil),cons(B,nil)),C) != sk4 )).

cnf(co1_18,negated_conjecture,
    ( ssList(sk10)
    | ~ ssItem(A)
    | ~ ssItem(B)
    | ~ ssList(C)
    | app(app(cons(A,nil),cons(B,nil)),C) != sk4 )).

cnf(co1_19,negated_conjecture,
    ( app(app(cons(sk8,nil),cons(sk9,nil)),sk10) = sk4
    | ~ ssItem(A)
    | ~ ssItem(B)
    | ~ ssList(C)
    | app(app(cons(A,nil),cons(B,nil)),C) != sk4 )).

cnf(co1_20,negated_conjecture,
    ( app(app(cons(sk9,nil),cons(sk8,nil)),sk10) = sk3
    | ~ ssItem(A)
    | ~ ssItem(B)
    | ~ ssList(C)
    | app(app(cons(A,nil),cons(B,nil)),C) != sk4 )).

cnf(co1_21,negated_conjecture,
    ( ssItem(sk5)
    | ssItem(sk11) )).

cnf(co1_22,negated_conjecture,
    ( ssItem(sk6)
    | ssItem(sk11) )).

cnf(co1_23,negated_conjecture,
    ( ssList(sk7)
    | ssItem(sk11) )).

cnf(co1_24,negated_conjecture,
    ( app(app(cons(sk5,nil),cons(sk6,nil)),sk7) = sk2
    | ssItem(sk11) )).

cnf(co1_25,negated_conjecture,
    ( ssItem(sk5)
    | ssItem(sk12) )).

cnf(co1_26,negated_conjecture,
    ( ssItem(sk5)
    | ssList(sk13) )).

cnf(co1_27,negated_conjecture,
    ( ssItem(sk5)
    | app(app(cons(sk11,nil),cons(sk12,nil)),sk13) = sk2 )).

cnf(co1_28,negated_conjecture,
    ( ssItem(sk6)
    | ssItem(sk12) )).

cnf(co1_29,negated_conjecture,
    ( ssList(sk7)
    | ssItem(sk12) )).

cnf(co1_30,negated_conjecture,
    ( app(app(cons(sk5,nil),cons(sk6,nil)),sk7) = sk2
    | ssItem(sk12) )).

cnf(co1_31,negated_conjecture,
    ( ssItem(sk6)
    | ssList(sk13) )).

cnf(co1_32,negated_conjecture,
    ( ssItem(sk6)
    | app(app(cons(sk11,nil),cons(sk12,nil)),sk13) = sk2 )).

cnf(co1_33,negated_conjecture,
    ( ssList(sk7)
    | ssList(sk13) )).

cnf(co1_34,negated_conjecture,
    ( app(app(cons(sk5,nil),cons(sk6,nil)),sk7) = sk2
    | ssList(sk13) )).

cnf(co1_35,negated_conjecture,
    ( ssList(sk7)
    | app(app(cons(sk11,nil),cons(sk12,nil)),sk13) = sk2 )).

cnf(co1_36,negated_conjecture,
    ( app(app(cons(sk5,nil),cons(sk6,nil)),sk7) = sk2
    | app(app(cons(sk11,nil),cons(sk12,nil)),sk13) = sk2 )).

cnf(co1_37,negated_conjecture,
    ( ssItem(sk8)
    | ssItem(sk11) )).

cnf(co1_38,negated_conjecture,
    ( ssItem(sk9)
    | ssItem(sk11) )).

cnf(co1_39,negated_conjecture,
    ( ssList(sk10)
    | ssItem(sk11) )).

cnf(co1_40,negated_conjecture,
    ( app(app(cons(sk8,nil),cons(sk9,nil)),sk10) = sk4
    | ssItem(sk11) )).

cnf(co1_41,negated_conjecture,
    ( app(app(cons(sk9,nil),cons(sk8,nil)),sk10) = sk3
    | ssItem(sk11) )).

cnf(co1_42,negated_conjecture,
    ( ssItem(sk8)
    | ssItem(sk12) )).

cnf(co1_43,negated_conjecture,
    ( ssItem(sk8)
    | ssList(sk13) )).

cnf(co1_44,negated_conjecture,
    ( ssItem(sk8)
    | app(app(cons(sk11,nil),cons(sk12,nil)),sk13) = sk2 )).

cnf(co1_45,negated_conjecture,
    ( ssItem(sk9)
    | ssItem(sk12) )).

cnf(co1_46,negated_conjecture,
    ( ssList(sk10)
    | ssItem(sk12) )).

cnf(co1_47,negated_conjecture,
    ( app(app(cons(sk8,nil),cons(sk9,nil)),sk10) = sk4
    | ssItem(sk12) )).

cnf(co1_48,negated_conjecture,
    ( app(app(cons(sk9,nil),cons(sk8,nil)),sk10) = sk3
    | ssItem(sk12) )).

cnf(co1_49,negated_conjecture,
    ( ssItem(sk9)
    | ssList(sk13) )).

cnf(co1_50,negated_conjecture,
    ( ssItem(sk9)
    | app(app(cons(sk11,nil),cons(sk12,nil)),sk13) = sk2 )).

cnf(co1_51,negated_conjecture,
    ( ssList(sk10)
    | ssList(sk13) )).

cnf(co1_52,negated_conjecture,
    ( app(app(cons(sk8,nil),cons(sk9,nil)),sk10) = sk4
    | ssList(sk13) )).

cnf(co1_53,negated_conjecture,
    ( app(app(cons(sk9,nil),cons(sk8,nil)),sk10) = sk3
    | ssList(sk13) )).

cnf(co1_54,negated_conjecture,
    ( ssList(sk10)
    | app(app(cons(sk11,nil),cons(sk12,nil)),sk13) = sk2 )).

cnf(co1_55,negated_conjecture,
    ( app(app(cons(sk8,nil),cons(sk9,nil)),sk10) = sk4
    | app(app(cons(sk11,nil),cons(sk12,nil)),sk13) = sk2 )).

cnf(co1_56,negated_conjecture,
    ( app(app(cons(sk9,nil),cons(sk8,nil)),sk10) = sk3
    | app(app(cons(sk11,nil),cons(sk12,nil)),sk13) = sk2 )).

%--------------------------------------------------------------------------
