%--------------------------------------------------------------------------
% File     : SYN345-1 : TPTP v3.1.1. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.16 (4)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch16N4 [Tam94]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses     :    8 (   4 non-Horn;   0 unit;   4 RR)
%            Number of atoms       :   24 (   0 equality)
%            Maximal clause size   :    3 (   3 average)
%            Number of predicates  :    1 (   0 propositional; 3-3 arity)
%            Number of functors    :    3 (   2 constant; 0-2 arity)
%            Number of variables   :   13 (   5 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( f(a,b,Y1)
    | ~ f(a,a,b)
    | f(a,b,b) )).

cnf(clause2,negated_conjecture,
    ( ~ f(Y2,Y1,z(Y1,Y2))
    | ~ f(a,a,b)
    | f(a,b,b) )).

cnf(clause3,negated_conjecture,
    ( f(b,Y1,Y2)
    | f(a,a,b)
    | ~ f(a,b,b) )).

cnf(clause4,negated_conjecture,
    ( ~ f(Y1,z(Y1,Y2),z(Y1,Y2))
    | f(a,a,b)
    | ~ f(a,b,b) )).

cnf(clause5,negated_conjecture,
    ( f(Y1,Y2,z(Y1,Y2))
    | f(a,a,b)
    | f(a,b,b) )).

cnf(clause6,negated_conjecture,
    ( f(Y1,Y2,z(Y1,Y2))
    | ~ f(a,a,b)
    | ~ f(a,b,b) )).

cnf(clause7,negated_conjecture,
    ( ~ f(b,b,Y1)
    | f(a,a,b)
    | f(a,b,b) )).

cnf(clause8,negated_conjecture,
    ( ~ f(b,b,Y1)
    | ~ f(a,a,b)
    | ~ f(a,b,b) )).

%--------------------------------------------------------------------------
