%--------------------------------------------------------------------------
% File     : SYN772-1 : TPTP v3.1.1. Released v2.5.0.
% Domain   : Syntactic (Translated)
% Problem  : PSAT inverse problem - K=4 C=20 V=8 D=1.6
% Version  : Especial.
% English  : 

% Refs     : [Sch99] Schmidt (1999), Decidability by Resolution for Proposit
%          : [HS00a] Hustadt & Schmidt (2000), MSPASS: Modal Reasoning by Tr
%          : [HS00b] Hustadt & Schmidt (2000), Issues of Decidability for De
%          : [Sch01] Schmidt (2001), Email to G. Sutcliffe
% Source   : [Sch01]
% Names    : p-psat-inv-cnf-K4-C20-V8-D1.6 [Sch01]

% Status   : Satisfiable
% Rating   : 0.00 v3.1.0, 0.14 v2.7.0, 0.00 v2.5.0
% Syntax   : Number of clauses     :   22 (  15 non-Horn;   2 unit;  20 RR)
%            Number of atoms       :  117 (   0 equality)
%            Maximal clause size   :    7 (   5 average)
%            Number of predicates  :    9 (   0 propositional; 1-2 arity)
%            Number of functors    :    2 (   0 constant; 1-1 arity)
%            Number of variables   :   57 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : The relational translation for the PSAT inverse problem.
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( ssRr(skf3(U),U) )).

cnf(clause2,negated_conjecture,
    ( ssRr(U,skf2(U)) )).

cnf(clause3,negated_conjecture,
    ( ~ ssRr(U,V)
    | ssPv3(V)
    | ssPv3(U)
    | ssPv5(U)
    | ssPv8(U) )).

cnf(clause4,negated_conjecture,
    ( ~ ssRr(U,V)
    | ~ ssPv7(U)
    | ssPv2(V)
    | ssPv5(U)
    | ssPv8(U) )).

cnf(clause5,negated_conjecture,
    ( ~ ssRr(U,V)
    | ~ ssPv2(U)
    | ssPv1(V)
    | ssPv6(V)
    | ssPv7(V) )).

cnf(clause6,negated_conjecture,
    ( ~ ssRr(U,V)
    | ~ ssPv3(U)
    | ~ ssPv4(U)
    | ssPv8(V)
    | ssPv5(U) )).

cnf(clause7,negated_conjecture,
    ( ~ ssRr(U,V)
    | ~ ssPv1(V)
    | ~ ssPv4(U)
    | ssPv5(U)
    | ssPv6(U) )).

cnf(clause8,negated_conjecture,
    ( ~ ssRr(U,V)
    | ~ ssPv6(V)
    | ~ ssPv7(V)
    | ~ ssPv8(V)
    | ssPv2(U) )).

cnf(clause9,negated_conjecture,
    ( ~ ssRr(U,V)
    | ~ ssPv4(V)
    | ~ ssPv3(U)
    | ~ ssPv8(U)
    | ssPv2(U) )).

cnf(clause10,negated_conjecture,
    ( ~ ssRr(U,V)
    | ~ ssRr(V,W)
    | ssPv8(U)
    | ssPv6(W)
    | ssPv4(V)
    | ssPv8(V) )).

cnf(clause11,negated_conjecture,
    ( ~ ssRr(U,V)
    | ~ ssRr(U,W)
    | ~ ssPv3(U)
    | ssPv8(V)
    | ssPv2(W)
    | ssPv4(U) )).

cnf(clause12,negated_conjecture,
    ( ~ ssRr(U,V)
    | ~ ssPv1(V)
    | ~ ssRr(U,W)
    | ~ ssPv6(U)
    | ssPv5(W)
    | ssPv8(U) )).

cnf(clause13,negated_conjecture,
    ( ~ ssRr(U,V)
    | ~ ssPv5(V)
    | ~ ssRr(U,W)
    | ~ ssPv5(U)
    | ssPv7(W)
    | ssPv8(U) )).

cnf(clause14,negated_conjecture,
    ( ~ ssRr(U,V)
    | ~ ssPv4(V)
    | ~ ssRr(U,W)
    | ~ ssPv5(U)
    | ssPv3(W)
    | ssPv7(U) )).

cnf(clause15,negated_conjecture,
    ( ~ ssRr(U,V)
    | ~ ssPv8(U)
    | ~ ssRr(W,V)
    | ~ ssPv8(V)
    | ssPv3(W)
    | ssPv6(V) )).

cnf(clause16,negated_conjecture,
    ( ~ ssRr(U,V)
    | ~ ssPv6(U)
    | ~ ssRr(W,V)
    | ~ ssPv1(V)
    | ssPv7(W)
    | ssPv3(V) )).

cnf(clause17,negated_conjecture,
    ( ~ ssRr(U,V)
    | ~ ssPv3(U)
    | ~ ssRr(W,V)
    | ~ ssPv3(V)
    | ssPv5(W)
    | ssPv2(V) )).

cnf(clause18,negated_conjecture,
    ( ~ ssRr(U,V)
    | ~ ssRr(V,W)
    | ~ ssPv7(W)
    | ~ ssPv7(V)
    | ssPv8(U)
    | ssPv1(V) )).

cnf(clause19,negated_conjecture,
    ( ~ ssRr(U,V)
    | ~ ssPv6(V)
    | ~ ssRr(U,W)
    | ~ ssPv5(U)
    | ~ ssPv7(U)
    | ssPv8(W) )).

cnf(clause20,negated_conjecture,
    ( ~ ssRr(U,V)
    | ~ ssPv5(U)
    | ~ ssRr(W,V)
    | ~ ssPv3(W)
    | ~ ssPv3(V)
    | ssPv5(V) )).

cnf(clause21,negated_conjecture,
    ( ~ ssRr(U,V)
    | ~ ssRr(V,W)
    | ~ ssPv3(W)
    | ~ ssRr(V,X)
    | ssPv4(U)
    | ssPv6(X)
    | ssPv7(V) )).

cnf(clause22,negated_conjecture,
    ( ~ ssRr(U,V)
    | ~ ssPv5(V)
    | ~ ssRr(U,W)
    | ~ ssPv4(W)
    | ~ ssRr(U,X)
    | ~ ssPv6(U)
    | ssPv7(X) )).

%--------------------------------------------------------------------------
