%--------------------------------------------------------------------------
% File     : TOP003-2 : TPTP v3.1.1. Released v1.0.0.
% Domain   : Topology
% Problem  : Topology generated by a basis forms a topological space, part 3
% Version  : [WM89] axioms : Incomplete > Reduced & Augmented > Incomplete.
% English  : 

% Refs     : [WM89]  Wick & McCune (1989), Automated Reasoning about Elemen
% Source   : [WM89]
% Names    : Lemma 1c [WM89]

% Status   : Satisfiable
% Rating   : 0.40 v3.1.0, 0.43 v2.7.0, 0.40 v2.6.0, 0.25 v2.5.0, 0.33 v2.4.0, 0.33 v2.3.0, 0.67 v2.2.1, 0.75 v2.2.0, 0.67 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :   11 (   1 non-Horn;   3 unit;   9 RR)
%            Number of atoms       :   22 (   0 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    5 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   2 constant; 0-2 arity)
%            Number of variables   :   20 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : The axioms in this version are known to be incomplete. To
%            make them complete it is be necessary to add appropriate set 
%            theory axioms.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms 
% include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
%----Sigma (union of members). 
cnf(union_of_members_1,axiom,
    ( ~ element_of_set(U,union_of_members(Vf))
    | element_of_set(U,f1(Vf,U)) )).

cnf(union_of_members_2,axiom,
    ( ~ element_of_set(U,union_of_members(Vf))
    | element_of_collection(f1(Vf,U),Vf) )).

%----Basis for a topology 
cnf(basis_for_topology_28,axiom,
    ( ~ basis(X,Vf)
    | equal_sets(union_of_members(Vf),X) )).

%----Topology generated by a basis 
cnf(topology_generated_40,axiom,
    ( element_of_collection(U,top_of_basis(Vf))
    | element_of_set(f11(Vf,U),U) )).

cnf(set_theory_7,axiom,
    ( ~ element_of_collection(X,Y)
    | subset_sets(X,union_of_members(Y)) )).

cnf(set_theory_8,axiom,
    ( ~ subset_sets(X,Y)
    | ~ element_of_set(U,X)
    | element_of_set(U,Y) )).

cnf(set_theory_9,axiom,
    ( subset_sets(X,X) )).

cnf(set_theory_10,axiom,
    ( ~ equal_sets(X,Y)
    | ~ subset_sets(Z,X)
    | subset_sets(Z,Y) )).

cnf(set_theory_11,axiom,
    ( ~ equal_sets(X,Y)
    | ~ subset_sets(X,Z)
    | subset_sets(Y,Z) )).

cnf(lemma_1c_1,negated_conjecture,
    ( basis(cx,f) )).

cnf(lemma_1c_2,negated_conjecture,
    ( ~ element_of_collection(cx,top_of_basis(f)) )).

%--------------------------------------------------------------------------
