%--------------------------------------------------------------------------
% File     : TOP017-1 : TPTP v3.1.1. Released v1.0.0.
% Domain   : Topology
% Problem  : If the boundary of A is empty, A is both open and closed
% Version  : [WM89] axioms : Incomplete.
% English  : 

% Refs     : [WM89]  Wick & McCune (1989), Automated Reasoning about Elemen
% Source   : [WM89]
% Names    : Problem 12 [WM89]

% Status   : Satisfiable
% Rating   : 0.80 v3.1.0, 0.86 v2.7.0, 0.80 v2.6.0, 0.75 v2.5.0, 0.50 v2.4.0, 1.00 v2.2.1, 0.75 v2.2.0, 0.67 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :  114 (  25 non-Horn;   2 unit; 109 RR)
%            Number of atoms       :  345 (   0 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :   22 (   0 propositional; 1-4 arity)
%            Number of functors    :   38 (   4 constant; 0-5 arity)
%            Number of variables   :  357 (  56 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : The axioms in this version are known to be incomplete. To
%            obtain a proof of this theorem it may be necessary to add
%            appropriate set theory axioms.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms 
include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
cnf(problem_12_154,negated_conjecture,
    ( topological_space(cx,ct) )).

cnf(problem_12_155,negated_conjecture,
    ( subset_sets(a,cx) )).

cnf(problem_12_156,negated_conjecture,
    ( equal_sets(boundary(a,cx,ct),empty_set)
    | open(a,cx,ct) )).

cnf(problem_12_157,negated_conjecture,
    ( equal_sets(boundary(a,cx,ct),empty_set)
    | closed(a,cx,ct) )).

cnf(problem_12_158,negated_conjecture,
    ( ~ equal_sets(boundary(a,cx,ct),empty_set)
    | ~ open(a,cx,ct)
    | ~ closed(a,cx,ct) )).

%--------------------------------------------------------------------------
